gi-gdkx11-3.0.15: GdkX11 bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GdkX11.Objects.X11Visual

Contents

- Exported types
- Methods
  - getXvisual

Description

No description available in the introspection data.

Synopsis

- newtype X11Visual = X11Visual (ManagedPtr X11Visual)
- class (GObject o, IsDescendantOf X11Visual o) => IsX11Visual o
- toX11Visual :: (MonadIO m, IsX11Visual o) => o -> m X11Visual
- x11VisualGetXvisual :: (HasCallStack, MonadIO m, IsX11Visual a) => a -> m Visual

# Exported types

newtype X11Visual Source #

Memory-managed wrapper type.

Constructors

X11Visual (ManagedPtr X11Visual) |

#### Instances

Instances details

Eq X11Visual Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual Methods (==) :: X11Visual -> X11Visual -> Bool Source # (/=) :: X11Visual -> X11Visual -> Bool Source #
GObject X11Visual Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual
ManagedPtrNewtype X11Visual Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual Methods toManagedPtr :: X11Visual -> ManagedPtr X11Visual Source #
TypedObject X11Visual Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual Methods glibType :: IO GType Source #
HasParentTypes X11Visual Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual
IsGValue (Maybe X11Visual) Source # | Convert `X11Visual` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11Visual Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe X11Visual -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe X11Visual) Source #
type ParentTypes X11Visual Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual type ParentTypes X11Visual = '[Visual, Object]

class (GObject o, IsDescendantOf X11Visual o) => IsX11Visual o Source #

Type class for types which can be safely cast to `X11Visual`, for instance with `toX11Visual`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11Visual o) => IsX11Visual o Source # |
Instance details Defined in GI.GdkX11.Objects.X11Visual

toX11Visual :: (MonadIO m, IsX11Visual o) => o -> m X11Visual Source #

Cast to `X11Visual`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getBitsPerRgb, getBluePixelDetails, getByteOrder, getColormapSize, getData, getDepth, getGreenPixelDetails, getProperty, getQdata, getRedPixelDetails, getScreen, getVisualType, getXvisual.

#### Setters

setData, setDataFull, setProperty.

## getXvisual

x11VisualGetXvisual Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Visual a) |
=> a | `visual`: a `Visual`.
-> m Visual | Returns: an Xlib Visual*.

Returns the X visual belonging to a `Visual`.